9202: Add document
Created a new document for an account.
Endpoint ID: | 9202 | |||||
| Method: | POST | |||||
| URL: | /entity/id/{entityID}/documents /entity/ext-key/{externalRelationID}/{externalRelationType}/documents | |||||
entityID | Rubiq entity ID that uniquely identifies the account to create the document for | |||||
externalRelationID | External key that uniquely identifies the account to create the document for | |||||
externalRelationType | Type of external key | |||||
| Request body: | None | Example Request {
"content": "base64 encoded text",
"compressed": true,
"description": "Description of the document",
"expiryDate": "31-12-2016T23:59:59",
"mimeType": "image",
"name": "Test Document",
"sizeCompressed": 500,
"sizeOriginal": 1500
}
| ||||
Response body: | A JSON object containing the "documentID" of the newly created document. Example Response {
"documentID": 123456
}
| |||||
| Status codes: | 201 | Document created with success | ||||
| 404 | Account was not found The following sub codes may be returned:
| |||||
, multiple selections available,